<?php
namespace App\Helpers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Models\CarShowCategory;

class VehicleTypeSelectList
{
    public static function vehicleTypeShowTypes()
    {
        $vehicle_type_results = CarShowCategory::orderBy('category_name')
                                ->where('vehicle_type', '=', 1)
                                ->get();
        $vehicle_types = '<option disabled="disabled" selected="selected" value="0">choose...</option>';
        foreach ($vehicle_type_results as $vehicle_type_result) {
            $vehicle_types .= '<option value="' .
            $vehicle_type_result->id .
            '">' .
            $vehicle_type_result->category_name .
            '</option>';
        }
        return $vehicle_types;
    }
}
